public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: add the ModemManager test to upstream repo
@ 2026-09-11 13:19 Milos Malik
  0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:19 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 2d47988950aa16ed0471ff1c8f388e5106e6ae47
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2022-04-26T13:31:40+00:00
            Stats  : +293/-0 in 4 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/2d47988950aa16ed0471ff1c8f388e5106e6ae47?branch=pr775-checkpolicy-revdeps

            Log:
            add the ModemManager test to upstream repo

The ModemManager component is frequently used by various users on
Fedora and RHEL, so it makes sense to run this TC in upstream testing
too.
There are no changes in the TC functionality.
Moving the downstream TC to upstream repo.

---
diff --git a/selinux-policy/ModemManager-and-similar/Makefile b/selinux-policy/ModemManager-and-similar/Makefile
new file mode 100644
index 0000000..46dacc6
--- /dev/null
+++ b/selinux-policy/ModemManager-and-similar/Makefile
@@ -0,0 +1,82 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Makefile of /CoreOS/selinux-policy/Regression/ModemManager-and-similar
+#   Description: SELinux interferes with ModemManager and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/ModemManager-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+	./runtest.sh
+
+build: $(BUILT_FILES)
+	chmod a+x runtest.sh
+	chcon -t bin_t runtest.sh
+
+clean:
+	rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+	@echo "Owner:           Milos Malik <mmalik@redhat.com>" > $(METADATA)
+	@echo "Name:            $(TEST)" >> $(METADATA)
+	@echo "TestVersion:     $(TESTVERSION)" >> $(METADATA)
+	@echo "Path:            $(TEST_DIR)" >> $(METADATA)
+	@echo "Description:     SELinux interferes with ModemManager and related programs" >> $(METADATA)
+	@echo "Type:            Regression" >> $(METADATA)
+	@echo "TestTime:        15m" >> $(METADATA)
+	@echo "RunFor:          selinux-policy" >> $(METADATA)
+	@echo "RunFor:          ModemManager" >> $(METADATA)
+	@echo "Requires:        audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console glib2 ModemManager /usr/sbin/service" >> $(METADATA)
+	@echo "RhtsRequires:    library(selinux-policy/common)" >> $(METADATA)
+	@echo "Priority:        Normal" >> $(METADATA)
+	@echo "License:         GPLv2" >> $(METADATA)
+	@echo "Confidential:    no" >> $(METADATA)
+	@echo "Destructive:     no" >> $(METADATA)
+	@echo "Environment:     AVC_ERROR=+no_avc_check" >> $(METADATA)
+	@echo "Releases:        -RHEL4 -RHEL5" >> $(METADATA)
+	@echo "Bug:             1120152" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1362273" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1365214" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1676810" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1697868" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1961571" >> $(METADATA) # Fedora 35
+	@echo "Bug:             1996903" >> $(METADATA) # Fedora 35
+	@echo "Bug:             1996905" >> $(METADATA) # Fedora 35
+	@echo "Bug:             2000196" >> $(METADATA) # RHEL-9
+	@echo "Bug:             2001141" >> $(METADATA) # Fedora 35
+	@echo "Bug:             2001143" >> $(METADATA) # Fedora 35
+	@echo "Bug:             2001144" >> $(METADATA) # Fedora 35
+	@echo "Bug:             2001145" >> $(METADATA) # Fedora 35
+	@echo "Bug:             2036582" >> $(METADATA) # RHEL-9
+
+	rhts-lint $(METADATA)
+

diff --git a/selinux-policy/ModemManager-and-similar/PURPOSE b/selinux-policy/ModemManager-and-similar/PURPOSE
new file mode 100644
index 0000000..ee44526
--- /dev/null
+++ b/selinux-policy/ModemManager-and-similar/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/ModemManager-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with ModemManager and related programs.
+

diff --git a/selinux-policy/ModemManager-and-similar/main.fmf b/selinux-policy/ModemManager-and-similar/main.fmf
new file mode 100644
index 0000000..c3539d8
--- /dev/null
+++ b/selinux-policy/ModemManager-and-similar/main.fmf
@@ -0,0 +1,58 @@
+summary: SELinux interferes with ModemManager and related programs
+description: |+
+    SELinux interferes with ModemManager and related programs.
+
+contact: Milos Malik <mmalik@redhat.com>
+component:
+  - selinux-policy
+test: ./runtest.sh
+framework: beakerlib
+require:
+  - library(selinux-policy/common)
+recommend:
+  - audit
+  - libselinux
+  - libselinux-utils
+  - policycoreutils
+  - selinux-policy
+  - selinux-policy-targeted
+  - setools-console
+  - glib2
+  - ModemManager
+  - /usr/sbin/service
+environment:
+    AVC_ERROR: +no_avc_check
+duration: 15m
+enabled: true
+tag:
+  - NoRHEL4
+  - NoRHEL5
+  - TIPpass_Security
+  - Tier2
+  - Tier2se
+  - f31friendly
+  - f32friendly
+  - targeted
+tier: '2'
+link:
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1120152
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1362273
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1365214
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1676810
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1697868
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1961571
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1996903
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1996905
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=2000196
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=2001141
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=2001143
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=2001144
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=2001145
+  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=2036582
+adjust:
+  - enabled: false
+    when: distro == rhel-4, rhel-5
+    continue: false
+extra-nitrate: TC#0075515
+extra-summary: /CoreOS/selinux-policy/Regression/ModemManager-and-similar
+extra-task: /CoreOS/selinux-policy/Regression/ModemManager-and-similar

diff --git a/selinux-policy/ModemManager-and-similar/runtest.sh b/selinux-policy/ModemManager-and-similar/runtest.sh
new file mode 100755
index 0000000..b41d316
--- /dev/null
+++ b/selinux-policy/ModemManager-and-similar/runtest.sh
@@ -0,0 +1,148 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   runtest.sh of /CoreOS/selinux-policy/Regression/ModemManager-and-similar
+#   Description: SELinux interferes with ModemManager and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+ROOT_PASSWORD="redhat"
+if rlIsRHEL 6 ; then
+    FILE_PATH="/usr/sbin/modem-manager"
+    PROCESS_NAME="modem-manager"
+else
+    FILE_PATH="/usr/sbin/ModemManager"
+    PROCESS_NAME="ModemManager"
+fi
+FILE_CONTEXT="modemmanager_exec_t"
+SERVICE_PACKAGE="ModemManager"
+SERVICE_NAME="ModemManager"
+PROCESS_CONTEXT="modemmanager_t"
+
+rlJournalStart
+    rlPhaseStartSetup
+        rlRun "rlImport 'selinux-policy/common'"
+        rlSESatisfyRequires
+        rlAssertRpm ${PACKAGE}
+        rlAssertRpm ${PACKAGE}-targeted
+        rlAssertRpm ${SERVICE_PACKAGE}
+
+        rlServiceStop ${SERVICE_NAME}
+        rlFileBackup /etc/shadow
+
+        rlSESetEnforce
+        rlSEStatus
+        rlSESetTimestamp
+        sleep 2
+    rlPhaseEnd
+
+    rlPhaseStartTest "SELinux contexts and rules"
+        rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+        if rlIsRHEL 5 ; then
+            SOURCE_TYPE="initrc_t"
+            BOOLEANS="[ ]"
+        elif rlIsRHEL 6 ; then
+            SOURCE_TYPE="system_dbusd_t" # D-bus daemon runs the process
+        else # RHEL-7 etc.
+            for SOURCE_TYPE in system_dbusd_t init_t ; do
+                rlSESearchRule "allow ${SOURCE_TYPE} ${FILE_CONTEXT} : file { getattr open read execute }"
+                rlSESearchRule "allow ${SOURCE_TYPE} ${PROCESS_CONTEXT} : process { transition }"
+                rlSESearchRule "type_transition ${SOURCE_TYPE} ${FILE_CONTEXT} : process ${PROCESS_CONTEXT}"
+            done
+        fi
+    rlPhaseEnd
+
+    if ! rlIsRHEL 5 ; then
+    rlPhaseStartTest "real scenario -- DBus service"
+        if rlIsRHEL 6 ; then
+            DESTINATION="org.freedesktop.ModemManager"
+        else
+            DESTINATION="org.freedesktop.ModemManager1"
+        fi
+        rlRun "gdbus introspect --system --object-path / --dest ${DESTINATION} >& /dev/null"
+        sleep 1
+        rlRun "ps -efZ | grep -v grep | grep ${PROCESS_NAME}"
+        rlRun "ps -efZ | grep -v grep | grep \"${PROCESS_CONTEXT}.*${PROCESS_NAME}\""
+    rlPhaseEnd
+    fi
+
+    if ! rlIsRHEL 5 6 ; then
+    rlPhaseStartTest "bz#1120152"
+        rlSEMatchPathCon "/usr/sbin/ModemManager" "modemmanager_exec_t"
+        rlSESearchRule "allow modemmanager_t modemmanager_t : unix_stream_socket { connectto }"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1362273 + bz#1365214"
+        rlSEMatchPathCon "/usr/sbin/ModemManager" "modemmanager_exec_t"
+        rlSEMatchPathCon "/run/systemd/inhibit/7.ref" "systemd_logind_inhibit_var_run_t"
+        rlSESearchRule "allow modemmanager_t systemd_logind_t : dbus { send_msg }"
+        rlSESearchRule "allow systemd_logind_t modemmanager_t : dbus { send_msg }"
+        rlSESearchRule "allow modemmanager_t systemd_logind_inhibit_var_run_t : fifo_file { write }"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1676810 + bz#1697868"
+        rlSEMatchPathCon "/usr/sbin/ModemManager" "modemmanager_exec_t"
+        rlSESearchRule "allow modemmanager_t sysfs_t : file { append write } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "real scenario -- standalone service"
+        rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
+        rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "start status" 1
+        sleep 1
+        rlRun "service systemd-logind restart"
+        sleep 1
+        rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
+    rlPhaseEnd
+    fi
+
+    if ! rlIsRHEL 6 7 8 ; then
+    rlPhaseStartTest "bz#1996903 + bz#1996905 + bz#2001141 + bz#2001143 + bz#2001144 + bz#2001145 + bz#2036582"
+        rlSEMatchPathCon "/usr/sbin/ModemManager" "modemmanager_exec_t"
+        rlSESearchRule "allow modemmanager_t modemmanager_t : qipcrtr_socket { create getattr getopt } [ ]"
+        rlSESearchRule "allow modemmanager_t kernel_t : system { module_request } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1961571 + bz#2000196"
+        rlSEMatchPathCon "/usr/sbin/ModemManager" "modemmanager_exec_t"
+        rlSEMatchPathCon "/dev/wwan0p1QCDM" "modem_device_t"
+        rlSEMatchPathCon "/dev/wwan0p2MBIM" "modem_device_t"
+        rlRun "semanage fcontext -l | grep '^/dev/wwan.*char.*modem_device_t'"
+        rlSESearchRule "allow modemmanager_t modem_device_t : chr_file { getattr open read write ioctl } [ ]"
+        rlSESearchRule "allow modemmanager_t unconfined_t : unix_stream_socket { connectto } [ ]"
+    rlPhaseEnd
+    fi
+
+    rlPhaseStartCleanup
+        sleep 2
+        rlSECheckAVC
+        rlFileRestore
+
+        rlServiceRestore ${SERVICE_NAME}
+    rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:19 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:19 [tests/selinux] pr775-checkpolicy-revdeps: add the ModemManager test to upstream repo Milos Malik

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox